#ifndef ODEIMPEUL_H
#define ODEIMPEUL_H

#include "odesolver.h"

class OdeImpEul1 : public OdeSolver1
{
public:
    void step(Vecd &xout, const OdeFunc1 &f, const Vecd &x, double h) const;
};

class OdeImpEul2 : public OdeSolver2
{
public:
    void step(Vecd &xout, Vecd &vout, const OdeFunc2 &f, const Vecd &x, const Vecd &v, double h) const;
};

#endif
